package status;

/**
 * Concrete subclass that represents a informational status message. 
 * @author Stephen Wong (c) 2010
 *
 */
public class InfoStatus extends AStatus {

	private static final long serialVersionUID = 367811322275793527L;
	
	/**
	 * The informational message 
	 */
	private String msg = "Hello world!";

	/**
	 * Constructor for the class
	 * @param msg  The informational message this represents.
	 */
	public InfoStatus(String msg) {
		super(InfoStatus.class);
		this.msg = msg;
	}
	
	/**
	 * Get the informational message.
	 * @return
	 */
	public String getMsg() {
		return msg;
	}
	
	public String toString(){
		return "Status: "+ msg;
	}
}
