package status;

import extvisitor.*;

/**
 * A processing algorithm for an AStatus object.
 * @author Stephen Wong (c) 2010
 *
 * @param <R>  The return type of the algorithm.
 * @param <P>  The vararg input parameter type of the algorithm.
 */
public class StatusAlgo<R, P> extends AExtVisitor<R, Class<? extends AStatus>, P, AStatus> {

	private static final long serialVersionUID = 3619110599693071895L;

	/**
	 * Constructor for the class
	 * @param defaultCmd  The default processing command for any unspecified status types.
	 */
	public StatusAlgo(AStatusAlgoCmd<R, AStatus, P> defaultCmd){
		super(defaultCmd);
	}
}

